org.jbpm.marshalling.impl

## Interface JBPMMessages.VariableOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.Variable, JBPMMessages.Variable.Builder
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.VariableOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` `optional string name = 1;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
    `int` | `getStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `com.google.protobuf.ByteString` | `getValue()` `optional bytes value = 3;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `boolean` | `hasValue()` `optional bytes value = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          String getName()

      `optional string name = 1;`

    - #### getNameBytes

          com.google.protobuf.ByteString getNameBytes()

      `optional string name = 1;`

    - #### hasStrategyIndex

          boolean hasStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`

    - #### getStrategyIndex

          int getStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`

    - #### hasValue

          boolean hasValue()

      `optional bytes value = 3;`

    - #### getValue

          com.google.protobuf.ByteString getValue()

      `optional bytes value = 3;`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.